package com.hzs.system.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.base.BdProductStorehouse;
import com.hzs.common.domain.system.base.ext.BdProductStorehouseExt;
import com.hzs.system.base.vo.BdProductStorehouseVO;

import java.util.List;

/**
 * 产品绑定仓库表 服务类
 */
public interface IBdProductStorehouseService extends IService<BdProductStorehouse> {

    /**
     * 产品绑定仓库列表
     **/
    List<BdProductStorehouseVO> getProductStorehouseList(BdProductStorehouseVO productStorehouseVO);

    /**
     * 新增产品绑定仓库列表
     **/
    boolean insertProductStorehouse(BdProductStorehouseVO productStorehouseVO);

    /**
     * 修改产品绑定仓库列表
     **/
    boolean upProductStorehouseVO(BdProductStorehouseVO productStorehouseVO);

    boolean delBdStorehouse(Long pkId);

    /*
     *  查询省绑定的产品仓库
     **/
    List<BdProductStorehouseExt> queryBdProductStorehouseByCondition(List<Integer> productId, Integer province);
}
